API Reference
List Surface
GET
/
v1
/
surfaces
List Surface
curl --request GET \
--url https://workflow.eu.confidence.dev/v1/surfaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://workflow.eu.confidence.dev/v1/surfaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://workflow.eu.confidence.dev/v1/surfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"surfaces": [
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"labels": [
{}
],
"deleteTime": {},
"owner": "<string>",
"reviews": {
"mandatory": true,
"reviewers": [
"<string>"
]
},
"metricConfig": {
"mandatoryMetrics": [
{
"metric": "<string>",
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
}
}
],
"associatedMetrics": [
{
"metric": "<string>",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED"
}
],
"metrics": [
{
"metric": "<string>",
"successMetric": {
"minimumDetectableEffect": {
"value": "<string>"
}
},
"guardrailMetric": {
"nonInferiorityMargin": {
"value": "<string>"
}
},
"preferredDirection": "PREFERRED_DIRECTION_UNSPECIFIED",
"enforcementLevel": "ENFORCEMENT_LEVEL_UNSPECIFIED"
}
]
},
"automatedActions": [
{
"trigger": {
"activityTrigger": {
"kind": "<string>",
"resource": "<string>"
},
"stateTrigger": {
"state": "<string>",
"resource": "<string>"
}
},
"action": {
"executeFunctionAction": {
"function": "<string>",
"parameters": {}
},
"pagerdutyAction": {
"pdKey": "<string>",
"severity": "critical",
"title": "<string>",
"description": "<string>"
},
"transitionAction": {
"action": "<string>",
"parameters": {}
}
}
}
],
"stakeholders": [
{
"identity": "<string>",
"role": "<string>"
}
]
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of items to return.
The next_page_token value returned from a previous List request, if any.
The number of items to skip.
Filter for surfaces, follows the lucene query string format.
If deleted surfaces should be included.
Provide fields and direction to sort by. Will always tiebreak on name. Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"} Example: displayName:desc,createTime:asc
Was this page helpful?
⌘I
List Surface

